ProjectionSupport (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Class ProjectionSupport

    java.lang.Object
      java.util.concurrent.CopyOnWriteArrayList<E>
          com.bbn.openmap.event.ListenerSupport<ProjectionListener>
              com.bbn.openmap.event.ProjectionSupport

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<ProjectionListener>, java.util.Collection<ProjectionListener>, java.util.List<ProjectionListener>, java.util.RandomAccess

    public class ProjectionSupport

extends ListenerSupport<ProjectionListener>

This is a utility class that can be used by beans that need support for handling ProjectionListeners and firing ProjectionEvents. You can use an instance of this class as a member field of your bean and delegate work to it.

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `ProjectionSupport.ProjectionChangeNotifier` A thread that disperses the projection event, instead of letting the Swing thread do it.

Field Summary
`protected ProjectionSupport.ProjectionChangeNotifier` | `pcNotifier`
`protected boolean` | `useNotifier`

Fields inherited from class com.bbn.openmap.event.ListenerSupport
`source`

Constructor Summary
`ProjectionSupport(boolean useNotifier)` Construct a ProjectionSupport.
`ProjectionSupport(java.lang.Object aSource, boolean useNotifier)` Construct a ProjectionSupport.

Method Summary
`void` | `dispose()` Call when getting rid of the ProjectionSupport, it kills the ProjectionSupport thread.
`void` | `fireProjectionChanged(Projection proj)` Send a center event to all registered listeners.

Methods inherited from class com.bbn.openmap.event.ListenerSupport
`add, add, addAll, clear, getSource, iterator, listIterator, remove, remove, set, setSource, size`

Methods inherited from class java.util.concurrent.CopyOnWriteArrayList
`addAll, addAllAbsent, addIfAbsent, clone, contains, containsAll, equals, get, hashCode, indexOf, indexOf, isEmpty, lastIndexOf, lastIndexOf, listIterator, removeAll, retainAll, subList, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### pcNotifier

    protected ProjectionSupport.ProjectionChangeNotifier pcNotifier

### useNotifier

    protected boolean useNotifier

Constructor Detail

### ProjectionSupport

    public ProjectionSupport(boolean useNotifier)

  Construct a ProjectionSupport.

### ProjectionSupport

    public ProjectionSupport(java.lang.Object aSource,
                             boolean useNotifier)

  Construct a ProjectionSupport.

  Parameters:
    `aSource` - source Object

Method Detail

### fireProjectionChanged

    public void fireProjectionChanged(Projection proj)

  Send a center event to all registered listeners.

  Parameters:
    `proj` - Projection

### dispose

    public void dispose()

  Call when getting rid of the ProjectionSupport, it kills the ProjectionSupport thread. (from CJS)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details